\name{getShapes}
\alias{getShapes}
\title{Shape parameters for a mixture with known contributors only}
\usage{
  getShapes(mixture, pars, allelecounts = NULL)
}
\arguments{
  \item{mixture}{A \code{DNAmixture}.}

  \item{pars}{Model parameters.}

  \item{allelecounts}{This argument is possibly redundant.}
}
\value{
  For each marker a matrix of shape-parameters.
}
\description{
  The function is mainly for internal use. It calculates
  the shape parameters, or contribution to the shape
  parameter, that correspond to the known contributors in
  the mixture.
}
\examples{
data(MC15, MC18, USCaucasian)
mix <- DNAmixture(list(MC15, MC18), C = list(50,50), k = 3, K = c("K1", "K3", "K2"),
database = USCaucasian)
p <- mixpar(rho = list(30, 30), eta = list(30, 30), xi = list(0.08,0.08),
            phi = list(c(K2 = 0.1, K3 = 0.2, K1 = 0.7), c(K2 = 0.1, K3 = 0.2, K1 = 0.7)))
sh <- getShapes(mix, p)
sh$VWA
}
\author{
  Therese Graversen
}
\seealso{
  predict
}

